import { watch as c } from "vue";
import { cloneDeep as r, isEqual as u } from "lodash";
const n = (e, i) => {
  c(
    () => r(e.option),
    (o, t) => {
      u(o, t) || i(e.option);
    },
    { deep: !0 }
  ), c(
    () => r(e.sources),
    (o, t) => {
      u(o, t) || i(e.option);
    },
    { deep: !0 }
  );
};
export {
  n as useWatch
};
